<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E113=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@E10B=5999</action>
    </script>
  </cheat>

  <cheat desc="Finish the Game Now!">
    <script state="on">
      <action>maincpu.pw@E10B=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Set on the game mode selection screen</comment>
    <parameter min="1" max="5" step="1"/>
    <script state="on">
      <action>maincpu.pb@E115=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@E115=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Current Score PL1">
    <parameter min="0" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@E118=tobcd(param)</action>
    </script>
  </cheat>

  <cheat desc="Win the Game Now! PL1">
    <script state="on">
      <action>maincpu.pw@E10B=0000</action>
      <action>maincpu.pw@E118=0099</action>
    </script>
  </cheat>

  <cheat desc="Select Current Score PL2">
    <parameter min="0" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@E119=tobcd(param)</action>
    </script>
  </cheat>

  <cheat desc="Win the Game Now! PL2">
    <script state="on">
      <action>maincpu.pw@E10B=0000</action>
      <action>maincpu.pw@E118=9900</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Skip RAM Check"> <comment>It's better to use together with Pre-Enable</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@15E8</action>
      <action>temp1 =sub.mb@11C7</action>
    </script>
    <script state="run">
      <action>maincpu.mb@15E8=C9</action>
      <action>sub.mb@11C7=C9</action> <!-- 1st = CPU1, 2nd = CPU2 -->
    </script>
    <script state="off">
      <action>maincpu.mb@15E8=temp0 </action>
      <action>sub.mb@11C7=temp1 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
